## org.apache.mahout.classifier.naivebayes.training
Class StandardThetaTrainer

    java.lang.Object
      org.apache.mahout.classifier.naivebayes.training.AbstractThetaTrainer
          org.apache.mahout.classifier.naivebayes.training.StandardThetaTrainer

    public class StandardThetaTrainer

extends AbstractThetaTrainer

Constructor Summary
`StandardThetaTrainer(Vector weightsPerFeature, Vector weightsPerLabel, double alphaI)`

Method Summary
`void` `train(int label, Vector perLabelWeight)`

Methods inherited from class org.apache.mahout.classifier.naivebayes.training.AbstractThetaTrainer
`alphaI, featureWeight, labelWeight, numFeatures, retrievePerLabelThetaNormalizer, totalWeightSum, updatePerLabelThetaNormalizer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StandardThetaTrainer

    public StandardThetaTrainer(Vector weightsPerFeature,
                                Vector weightsPerLabel,
                                double alphaI)

Method Detail

### train

    public void train(int label,
                      Vector perLabelWeight)

  Specified by:
    `train` in class `AbstractThetaTrainer`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.